//Contains all style customization of different ui components for blue bg theme
$lightBlueThemeConfig :(foreground:$app-accent-mat-color ,
titleBackground:lightblue,
background: rgba(255, 255, 255, 1),
backgroundContrast: #2979ff,
dangerColor: rgba(255, 0, 0, 0.64),
borderColor: rgba(255, 255, 255, .1),
dimWhite: rgba(255, 255, 255, .6),
white: rgba(255, 255, 255, 1),
gray: rgba(128, 128, 128, .5));

@function lightBlue-theme($key) {  
  @return map-get($lightBlueThemeConfig, $key);  
 }

@mixin bgWhite() {
  background-color: lightBlue-theme('background');
  color: lightBlue-theme('foreground');
}

.bg-lightBlue {
  @include bgWhite();
}

.lightBlue-bg-theme {
  @include bgWhite();

  .btn-icon-delete {
    color: lightBlue-theme('dangerColor');
  }

  .mat-spinner {
    background-color: transparent;
  }

  // circle {
  //   stroke: lightBlue-theme('foreground');
  // }

  input,
  .mat-select-arrow,
  .mat-select-value-text {
    color: lightBlue-theme('gray');
  }

  button.mat-primary {
    background-color: lightBlue-theme('backgroundContrast');
    color: lightBlue-theme('white');
  }

  button.btn-blue-secondary{
    background-color: rgba(0, 0, 255, .3);
  }

  .native-form-field.mat-form-field {
    border: 1px solid $lightGray;

    // .mat-form-field-label {
    //   color: lightBlue-theme('dimWhite');
    // }

    // .mat-select-placeholder{
    //   color: $lightGray;
    // }
  }

  input.native-form-control {
    background-color: lightBlue-theme('background');
    border: 1px solid $lightGray;
    width: 165px;
  }

  input, textarea {
    //height:28px;
    caret-color: lightBlue-theme('foreground');

    // &::selection {
    //   background-color: lightBlue-theme('backgroundContrast')
    // }

    // &::placeholder {
    //   color: $lightGray;
    // }
  }
}

.lightBlue-bg-theme {
  &.cdk-overlay-pane {
    background-color: inherit;
    color: inherit;
  }

  .mat-dialog-container {
    @include bgWhite();
  }

  .mat-dialog-title {
    height: 26px;
    font-weight: bold;
    margin: 0 -24px;
    padding: 4px 10px;
    background-color: lightBlue-theme('titleBackground');
    border-bottom: 1px solid lightBlue-theme('borderColor');
    color: $app-accent-mat-color ;
  }
}

.lightBlue-bg-theme {

  .mat-cell,
  .mat-header-cell {
    color: lightBlue-theme('foreground');
  }

  .mat-form-cell{
    padding-left:5px;
  }
  .header-text{
    font-weight: bold;
  }

  .mat-focused.native-form-field .mat-form-field-label{
    color: rgba(0, 0, 0, 0.54);;
  }

}

.add-dialog-actions{
  justify-content: flex-end;
}
